MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024096Open CASCADE[OCCT] OCCT:Codingpublic2013-08-01 16:262013-12-19 13:56
Reporteromy 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2008OS Version32 bit
Product Version[OCCT] 6.6.0 
Target Version[OCCT] 6.7.0Fixed in Version[OCCT] 6.7.0 
Summary0024096: Eliminate compiler warning C4505 in MSVC++ with warning level 4
DescriptionWhen compiling OCCT 6.6.0 with warning level set to 4, MSVC 2008 compiler produces many warnings c4505: unreferenced local function has been removed.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
child of 0023947closedomy Eliminate trivial compiler warnings in MSVC++ with warning level 4 

-  Notes
(0025220)
omy (developer)
2013-08-02 09:55
edited on: 2013-08-02 09:55

Dear abv,
Please, review the changes of branch CR24096

(0025228)
abv (manager)
2013-08-02 15:30

In BRepBlend_RstRstLineBuilder.cxx, BRepBlend_SurfRstLineBuilder.cxx, BRepFill_CompatibleWires.cxx, Bisector_BisecPC.cxx, HLRBRep_EdgeIList.cxx, IntTools_FaceFace.cxx, ProjLib_ProjectedCurve.cxx, ShapeFix_Solid.cxx, TNaming_Name.cxx, TopOpeBRep_vprdeg.cxx, TopOpeBRepTool_PURGE.cxx, TopOpeBRepTool_faulty.cxx, the code calling removed functions is still present (commented out or disabed by #ifdef 0), this code becomes yet more useless than before.

Please either clean up this code along with the removed functions, or recover deleted functions and calling code together putting it into appropriate #ifdef so that it can be activated by defining specific macro. Consult the experts for whether the code being removed is potentially useful or not.
(0025230)
omy (developer)
2013-08-05 14:27

Dear abv,
I've made the necessary cleanup and restored some useful functions.
Please, review.
(0025241)
abv (manager)
2013-08-06 08:31

Please use specific macros (with own name in each function, e.g. DEBUG_DUMP_WLINE etc.) instead of DEB for disabled functions. Note that DEB macro is defined in Debug configurations and thus the code which should be disabled will actually be enabled in Debug.
(0025253)
omy (developer)
2013-08-06 19:40

Dear abv,
I've made the necessary corrections in the code and rebased the branch onto current master.
Please, review.
(0025255)
abv (manager)
2013-08-07 09:01

No remarks, please test
(0025264)
mkv (tester)
2013-08-07 17:24

Dear BugMaster,

Branch CR24096 (and products from GIT master) was compiled on Linux and Windows platforms and tested.
SHA-1: a1b4f0c5638916518815e3834c078e490ecfc123

Number of compiler warnings:

occt component :
Linux: 918 (947 on master)
Windows: 862 (891 on master)

products component :
Linux: 188 (188 on master)
Windows: 287 (287 on master)

Regressions:
No regressions

Improvements:
No improvements

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 364059844 / 363686308
Total CPU difference: 43029.2700000007 / 43423.52000000051

Testing on Windows:
Total MEMORY difference: 424394440 / 424221448
Total CPU difference: 38173.9375 / 53402.53125

There are not differences in images found by testdiff.

- Related Changesets
occt: master 961aedff
Timestamp: 2013-08-02 05:54:03
Author: omy
Committer: mkv
Details ] Diff ]
0024096: Eliminate compiler warning C4505 in MSVC++ with warning level 4

Removed obsolete functions from sources.
Some useful debug functions were 'defined' ( put into #ifdef ...#endif )
Removed some redundant code
mod - src/Bisector/Bisector_Bisec.cxx Diff ] File ]
mod - src/Bisector/Bisector_BisecPC.cxx Diff ] File ]
mod - src/BRepBlend/BRepBlend_RstRstLineBuilder.cxx Diff ] File ]
mod - src/BRepBlend/BRepBlend_SurfRstLineBuilder.cxx Diff ] File ]
mod - src/BRepBuilderAPI/BRepBuilderAPI_Sewing.cxx Diff ] File ]
mod - src/BRepCheck/BRepCheck_Shell.cxx Diff ] File ]
mod - src/BRepFeat/BRepFeat_MakeDPrism.cxx Diff ] File ]
mod - src/BRepFeat/BRepFeat_MakePipe.cxx Diff ] File ]
mod - src/BRepFeat/BRepFeat_MakePrism.cxx Diff ] File ]
mod - src/BRepFeat/BRepFeat_MakeRevol.cxx Diff ] File ]
mod - src/BRepFill/BRepFill_CompatibleWires.cxx Diff ] File ]
mod - src/BRepFill/BRepFill_TrimShellCorner.cxx Diff ] File ]
mod - src/BRepGProp/BRepGProp_Face.cxx Diff ] File ]
mod - src/BRepOffsetAPI/BRepOffsetAPI_MiddlePath.cxx Diff ] File ]
mod - src/CDF/CDF.cxx Diff ] File ]
mod - src/ChFiKPart/ChFiKPart_ComputeData.cxx Diff ] File ]
mod - src/CPnts/CPnts_UniformDeflection.cxx Diff ] File ]
mod - src/DDataStd/DDataStd_DrawDisplayCommands.cxx Diff ] File ]
mod - src/Draw/Draw_Main.cxx Diff ] File ]
mod - src/DrawTrSurf/DrawTrSurf.cxx Diff ] File ]
mod - src/Extrema/Extrema_GenExtPS.cxx Diff ] File ]
mod - src/GeomFill/GeomFill_CorrectedFrenet.cxx Diff ] File ]
mod - src/HLRBRep/HLRBRep_Data.cxx Diff ] File ]
mod - src/HLRBRep/HLRBRep_EdgeIList.cxx Diff ] File ]
mod - src/IntCurveSurface/IntCurveSurface_Inter.gxx Diff ] File ]
mod - src/IntPatch/IntPatch_ImpPrmIntersection.cxx Diff ] File ]
mod - src/IntPolyh/IntPolyh_MaillageAffinage.cxx Diff ] File ]
mod - src/IntPolyh/IntPolyh_Triangle.cxx Diff ] File ]
mod - src/IntTools/IntTools_FaceFace.cxx Diff ] File ]
mod - src/LocOpe/LocOpe_CSIntersector.cxx Diff ] File ]
mod - src/LocOpe/LocOpe_Generator.cxx Diff ] File ]
mod - src/LocOpe/LocOpe_RevolutionForm.cxx Diff ] File ]
mod - src/MeshTest/MeshTest.cxx Diff ] File ]
mod - src/MeshTest/MeshTest_DrawableMesh.cxx Diff ] File ]
mod - src/MgtGeom2d/MgtGeom2d.cxx Diff ] File ]
mod - src/ProjLib/ProjLib_Cone.cxx Diff ] File ]
mod - src/ProjLib/ProjLib_ProjectedCurve.cxx Diff ] File ]
mod - src/QABugs/QABugs_18.cxx Diff ] File ]
mod - src/QANewBRepNaming/QANewBRepNaming_BooleanOperationFeat.cxx Diff ] File ]
mod - src/QANewModTopOpe/QANewModTopOpe_Tools.cxx Diff ] File ]
mod - src/SelectMgr/SelectMgr_SelectionManager.cxx Diff ] File ]
mod - src/ShapeFix/ShapeFix_Face.cxx Diff ] File ]
mod - src/ShapeFix/ShapeFix_Solid.cxx Diff ] File ]
mod - src/TestTopOpe/TestTopOpe_CORCommands.cxx Diff ] File ]
mod - src/TestTopOpe/TestTopOpe_HDSCommands.cxx Diff ] File ]
mod - src/TestTopOpe/TestTopOpe_MesureCommands.cxx Diff ] File ]
mod - src/TestTopOpeDraw/TestTopOpeDraw_DrawableMesure.cxx Diff ] File ]
mod - src/TNaming/TNaming_Name.cxx Diff ] File ]
mod - src/TNaming/TNaming_Naming.cxx Diff ] File ]
mod - src/TopOpeBRep/TopOpeBRep_FacesFiller.cxx Diff ] File ]
mod - src/TopOpeBRep/TopOpeBRep_FacesFiller_1.cxx Diff ] File ]
mod - src/TopOpeBRep/TopOpeBRep_vpr.cxx Diff ] File ]
mod - src/TopOpeBRep/TopOpeBRep_vprdeg.cxx Diff ] File ]
mod - src/TopOpeBRepTool/TopOpeBRepTool_CORRISO.cxx Diff ] File ]
mod - src/TopOpeBRepTool/TopOpeBRepTool_faulty.cxx Diff ] File ]
mod - src/TopOpeBRepTool/TopOpeBRepTool_PURGE.cxx Diff ] File ]
mod - src/TopOpeBRepTool/TopOpeBRepTool_TOOL.cxx Diff ] File ]
mod - src/ViewerTest/ViewerTest.cxx Diff ] File ]
mod - src/ViewerTest/ViewerTest_FilletCommands.cxx Diff ] File ]
occt: master 4e18e72a
Timestamp: 2013-08-02 05:54:03
Author: omy
Committer: bugmaster
Details ] Diff ]
0024096: Eliminate compiler warning C4505 in MSVC++ with warning level 4

Removed obsolete functions from sources.
Some useful debug functions were 'defined' ( put into #ifdef ...#endif )
Removed some redundant code
mod - src/Bisector/Bisector_Bisec.cxx Diff ] File ]
mod - src/Bisector/Bisector_BisecPC.cxx Diff ] File ]
mod - src/BRepBlend/BRepBlend_RstRstLineBuilder.cxx Diff ] File ]
mod - src/BRepBlend/BRepBlend_SurfRstLineBuilder.cxx Diff ] File ]
mod - src/BRepBuilderAPI/BRepBuilderAPI_Sewing.cxx Diff ] File ]
mod - src/BRepCheck/BRepCheck_Shell.cxx Diff ] File ]
mod - src/BRepFeat/BRepFeat_MakeDPrism.cxx Diff ] File ]
mod - src/BRepFeat/BRepFeat_MakePipe.cxx Diff ] File ]
mod - src/BRepFeat/BRepFeat_MakePrism.cxx Diff ] File ]
mod - src/BRepFeat/BRepFeat_MakeRevol.cxx Diff ] File ]
mod - src/BRepFill/BRepFill_CompatibleWires.cxx Diff ] File ]
mod - src/BRepFill/BRepFill_TrimShellCorner.cxx Diff ] File ]
mod - src/BRepGProp/BRepGProp_Face.cxx Diff ] File ]
mod - src/BRepOffsetAPI/BRepOffsetAPI_MiddlePath.cxx Diff ] File ]
mod - src/CDF/CDF.cxx Diff ] File ]
mod - src/ChFiKPart/ChFiKPart_ComputeData.cxx Diff ] File ]
mod - src/CPnts/CPnts_UniformDeflection.cxx Diff ] File ]
mod - src/DDataStd/DDataStd_DrawDisplayCommands.cxx Diff ] File ]
mod - src/Draw/Draw_Main.cxx Diff ] File ]
mod - src/DrawTrSurf/DrawTrSurf.cxx Diff ] File ]
mod - src/Extrema/Extrema_GenExtPS.cxx Diff ] File ]
mod - src/GeomFill/GeomFill_CorrectedFrenet.cxx Diff ] File ]
mod - src/HLRBRep/HLRBRep_Data.cxx Diff ] File ]
mod - src/HLRBRep/HLRBRep_EdgeIList.cxx Diff ] File ]
mod - src/IntCurveSurface/IntCurveSurface_Inter.gxx Diff ] File ]
mod - src/IntPatch/IntPatch_ImpPrmIntersection.cxx Diff ] File ]
mod - src/IntPolyh/IntPolyh_MaillageAffinage.cxx Diff ] File ]
mod - src/IntPolyh/IntPolyh_Triangle.cxx Diff ] File ]
mod - src/IntTools/IntTools_FaceFace.cxx Diff ] File ]
mod - src/LocOpe/LocOpe_CSIntersector.cxx Diff ] File ]
mod - src/LocOpe/LocOpe_Generator.cxx Diff ] File ]
mod - src/LocOpe/LocOpe_RevolutionForm.cxx Diff ] File ]
mod - src/MeshTest/MeshTest.cxx Diff ] File ]
mod - src/MeshTest/MeshTest_DrawableMesh.cxx Diff ] File ]
mod - src/MgtGeom2d/MgtGeom2d.cxx Diff ] File ]
mod - src/ProjLib/ProjLib_Cone.cxx Diff ] File ]
mod - src/ProjLib/ProjLib_ProjectedCurve.cxx Diff ] File ]
mod - src/QABugs/QABugs_18.cxx Diff ] File ]
mod - src/QANewBRepNaming/QANewBRepNaming_BooleanOperationFeat.cxx Diff ] File ]
mod - src/QANewModTopOpe/QANewModTopOpe_Tools.cxx Diff ] File ]
mod - src/SelectMgr/SelectMgr_SelectionManager.cxx Diff ] File ]
mod - src/ShapeFix/ShapeFix_Face.cxx Diff ] File ]
mod - src/ShapeFix/ShapeFix_Solid.cxx Diff ] File ]
mod - src/TestTopOpe/TestTopOpe_CORCommands.cxx Diff ] File ]
mod - src/TestTopOpe/TestTopOpe_HDSCommands.cxx Diff ] File ]
mod - src/TestTopOpe/TestTopOpe_MesureCommands.cxx Diff ] File ]
mod - src/TestTopOpeDraw/TestTopOpeDraw_DrawableMesure.cxx Diff ] File ]
mod - src/TNaming/TNaming_Name.cxx Diff ] File ]
mod - src/TNaming/TNaming_Naming.cxx Diff ] File ]
mod - src/TopOpeBRep/TopOpeBRep_FacesFiller.cxx Diff ] File ]
mod - src/TopOpeBRep/TopOpeBRep_FacesFiller_1.cxx Diff ] File ]
mod - src/TopOpeBRep/TopOpeBRep_vpr.cxx Diff ] File ]
mod - src/TopOpeBRep/TopOpeBRep_vprdeg.cxx Diff ] File ]
mod - src/TopOpeBRepTool/TopOpeBRepTool_CORRISO.cxx Diff ] File ]
mod - src/TopOpeBRepTool/TopOpeBRepTool_faulty.cxx Diff ] File ]
mod - src/TopOpeBRepTool/TopOpeBRepTool_PURGE.cxx Diff ] File ]
mod - src/TopOpeBRepTool/TopOpeBRepTool_TOOL.cxx Diff ] File ]
mod - src/ViewerTest/ViewerTest.cxx Diff ] File ]
mod - src/ViewerTest/ViewerTest_FilletCommands.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2013-08-01 16:26 omy New Issue
2013-08-01 16:26 omy Assigned To => omy
2013-08-01 16:28 omy Relationship added child of 0023947
2013-08-01 16:28 omy Status new => assigned
2013-08-02 09:55 omy Note Added: 0025220
2013-08-02 09:55 omy Assigned To omy => abv
2013-08-02 09:55 omy Status assigned => resolved
2013-08-02 09:55 omy Note Edited: 0025220 View Revisions
2013-08-02 15:30 abv Note Added: 0025228
2013-08-02 15:30 abv Assigned To abv => omy
2013-08-02 15:30 abv Status resolved => assigned
2013-08-05 14:27 omy Note Added: 0025230
2013-08-05 14:27 omy Assigned To omy => abv
2013-08-05 14:27 omy Status assigned => resolved
2013-08-06 08:31 abv Note Added: 0025241
2013-08-06 08:31 abv Assigned To abv => omy
2013-08-06 08:31 abv Status resolved => assigned
2013-08-06 19:40 omy Note Added: 0025253
2013-08-06 19:40 omy Assigned To omy => abv
2013-08-06 19:40 omy Status assigned => resolved
2013-08-07 09:01 abv Note Added: 0025255
2013-08-07 09:01 abv Assigned To abv => bugmaster
2013-08-07 09:01 abv Status resolved => reviewed
2013-08-07 09:41 mkv Assigned To bugmaster => mkv
2013-08-07 17:24 mkv Note Added: 0025264
2013-08-07 17:24 mkv Test case number => Not needed
2013-08-07 17:24 mkv Assigned To mkv => bugmaster
2013-08-07 17:24 mkv Status reviewed => tested
2013-08-09 11:49 mkv Changeset attached => occt master 961aedff
2013-08-09 11:49 mkv Assigned To bugmaster => mkv
2013-08-09 11:49 mkv Status tested => verified
2013-08-09 11:49 mkv Resolution open => fixed
2013-08-17 12:50 bugmaster Changeset attached => occt master 4e18e72a
2013-08-17 12:50 bugmaster Assigned To mkv => bugmaster
2013-12-19 13:52 bugmaster Status verified => closed
2013-12-19 13:56 bugmaster Fixed in Version => 6.7.0
2014-01-11 11:58 abv Category OCCT Release:BUILD => OCCT:Coding


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker